package com.ebaiyihui.alarm.server.controller;

/**
 * @description:
 * @author: yk
 * @create: 2023/08/09 09:29
 **/

import com.ebaiyihui.alarm.server.entity.AlarmMessage;
import com.ebaiyihui.alarm.server.service.AlarmService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Slf4j
@RestController
@RequestMapping(value = "/alarm")
public class AlarmController {

    @Autowired
    private AlarmService alarmService;

    // receive
    @ApiOperation(value = "告警接收地址")
    @RequestMapping(value = "/receive", method = RequestMethod.POST)
    public String receive(@RequestBody @Validated List<AlarmMessage> alarmMessages) {
        return alarmService.receive(alarmMessages);
    }
}
