package com.ebaiyihui.alarm.server.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;


/**
 * ProjProperties
 *
 * @DESCREPTION:
 * @Author: zhanghaojie
 * @Date: 2019/10/9下午3:03
 */
@Data
@Component
@ConfigurationProperties(prefix = "projprops")
public class ProjProperties {

    private List<ServiceInfo> serviceInfo;

    private String notNotifyUrl;

    private String notNotifyService;

}
